Opened 5 years ago

Closed 5 years ago

#1261 closed defect (fixed)

http://home.gdal.org/tmp/vcredist_x86.exe going away

Reported by: warmerdam Owned by: live-demo@…
Priority: normal Milestone: OSGeoLive7.9
Component: OSGeoLive Keywords:
Cc:

Description

I noticed that load_win_installers.sh pulls the Visual C++ redistributable from home.gdal.org. That server is going away and it isn't clear to me why that redistributable was needed.

Most of the Visual Studio redistributables are available in the OSGeo4W msvcrt package. I think the vcredist_x86.exe grab should be removed from load_win_installers.sh.

warmerdam@gdal-c:~$ tar tjvf msvcrt-1.0.1-10.tar.bz2 
-rwxr-xr-x jef/users     45056 2010-12-30 11:58 bin/dllupdate.exe
-rwxr-xr-x jef/users    401462 2005-07-12 18:50 bin/msvcp60.dll
-rwxr-xr-x jef/users    487424 2005-07-12 18:50 bin/msvcp70.dll
-rwxr-xr-x jef/users    499712 2005-11-10 13:48 bin/msvcp71.dll
-rwxr-xr-x jef/users    348160 2005-11-10 13:48 bin/msvcr71.dll
-rwxr-xr-x jef/users    343040 2005-07-12 18:50 bin/msvcrt.dll
-rw-r--r-- jef/users     43520 2013-08-11 15:40 bin/nircmdc.exe
-rw-r--r-- jef/users     44032 2013-08-11 15:41 bin/nircmd.exe
-rwxr-xr-x jef/users       448 2013-10-19 10:25 bin/o4w_env.bat
-rwxr-xr-x jef/users     53248 2010-12-30 11:58 bin/textreplace.exe
-rwxr-xr-x jef/users   2728104 2007-11-13 16:38 bin/vcredist_2005_x86.exe
-rwxr-xr-x jef/users   4216840 2009-01-12 11:24 bin/vcredist_2008_x86.exe
-rwxr-xr-x jef/users   5073240 2010-03-19 09:40 bin/vcredist_2010_x86.exe
-rwxr-xr-x jef/users     49152 2005-04-01 05:01 bin/xxmklink.exe
-rwxr-xr-x jef/users       111 2008-02-11 16:58 etc/ini/msvcrt.bat
-rwxr-xr-x jef/users       521 2013-06-29 08:14 etc/postinstall/msvcrt.bat

Change history (2)

comment:1 Changed 5 years ago by kalxas

Milestone: OSGeoLive7.5

Thank you Frank, I will update the script.

comment:2 Changed 5 years ago by hamish

Resolution: fixed
Status: newclosed

dropped in r11219.

Hamish

Note: See TracTickets for help on using tickets.